<?php


// Theme Optionen laden

$options = get_option( 'og_theme_options' );


// Farb-Option für Artikel


add_action( 'add_meta_boxes', 'og_meta_box_add' );
function og_meta_box_add()
{
	add_meta_box( 'my-meta-box-id', 'Farbauswahl', 'og_meta_box_cb', 'post', 'normal', 'high' );
}

function og_meta_box_cb( $post )
{
	$values = get_post_custom( $post->ID );
	$selected = isset( $values['my_meta_box_select'] ) ? esc_attr( $values['my_meta_box_select'][0] ) : '';
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	<p>
		<label for="my_meta_box_select">Hintergrundfarbe des Artikels</label>
		<select name="my_meta_box_select" id="my_meta_box_select">
			<option value="standard" <?php selected( $selected, 'standard' ); ?>>Standard-Farbschema</option>
			<option value="color1" <?php selected( $selected, 'color1' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color1_name']) { 
						echo $options['color1_name'];
				} else { 
					echo "Farbschema 1";
				} ?>
			</option>
			<option value="color2" <?php selected( $selected, 'color2' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color2_name']) { 
						echo $options['color2_name'];
				} else { 
					echo "Farbschema 2";
				} ?>
			</option>
			<option value="color3" <?php selected( $selected, 'color3' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color3_name']) { 
						echo $options['color3_name'];
				} else { 
					echo "Farbschema 3";
				} ?>
			</option>
			<option value="color4" <?php selected( $selected, 'color4' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color4_name']) { 
						echo $options['color4_name'];
				} else { 
					echo "Farbschema 4";
				} ?>
			</option>
			<option value="color5" <?php selected( $selected, 'color5' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color5_name']) { 
						echo $options['color5_name'];
				} else { 
					echo "Farbschema 5";
				} ?>
			</option>
			<option value="color6" <?php selected( $selected, 'color6' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color6_name']) { 
						echo $options['color6_name'];
				} else { 
					echo "Farbschema 6";
				} ?>
			</option>
			<option value="color7" <?php selected( $selected, 'color7' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color7_name']) { 
						echo $options['color7_name'];
				} else { 
					echo "Farbschema 7";
				} ?>
			</option>
			<option value="color8" <?php selected( $selected, 'color8' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color8_name']) { 
						echo $options['color8_name'];
				} else { 
					echo "Farbschema 8";
				} ?>
			</option>
			<option value="color9" <?php selected( $selected, 'color9' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color9_name']) { 
						echo $options['color9_name'];
				} else { 
					echo "Farbschema 9";
				} ?>
			</option>
			<option value="color10" <?php selected( $selected, 'color10' ); ?>>
				<?php $options = get_option( 'og_theme_options' );
					if ($options['color10_name']) { 
						echo $options['color10_name'];
				} else { 
					echo "Farbschema 10";
				} ?>
			</option>
		</select>
	</p>
	<p>Du kannst mit dieser Option die Hintergrundfarbe dieses Artikels festlegen. Wenn dir die voreingestellte Farbe nicht gefällt, kannst du in den Theme-Optionen im Bereich "Individuelle Farben" deine eigene(n) Farbe(n) definieren.</p>
	<?php	
}


add_action( 'save_post', 'og_meta_box_save' );
function og_meta_box_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
		
	if( isset( $_POST['my_meta_box_select'] ) )
		update_post_meta( $post_id, 'my_meta_box_select', esc_attr( $_POST['my_meta_box_select'] ) );
		
}


// Artikel-Farben im Backend anzeigen

add_filter('manage_posts_columns', 'artikel_farbe');
function artikel_farbe($columns) {
    $columns['farbe'] = 'Farbschema';
    return $columns;
}

add_action('manage_posts_custom_column',  'artikel_farbe_columns');
function artikel_farbe_columns($name) {
    global $post;
    switch ($name) {
        case 'farbe':
        $farbe = get_post_meta($post->ID, 'my_meta_box_select', true);

		if ($farbe == "color1") {
			$options = get_option( 'og_theme_options' );
			if ($options['color1_name']) { 
				echo $options['color1_name'];
			} else { 
				echo "Farbschema 1";
			}
		} elseif ($farbe == "color2") {
			$options = get_option( 'og_theme_options' );
			if ($options['color2_name']) { 
				echo $options['color2_name'];
			} else { 
				echo "Farbschema 2";
			}
		} elseif ($farbe == "color3") {
			$options = get_option( 'og_theme_options' );
			if ($options['color3_name']) { 
				echo $options['color3_name'];
			} else { 
				echo "Farbschema 3";
			}
		} elseif ($farbe == "color4") {
			$options = get_option( 'og_theme_options' );
			if ($options['color4_name']) { 
				echo $options['color4_name'];
			} else { 
				echo "Farbschema 4";
			}
		} elseif ($farbe == "color5") {
			$options = get_option( 'og_theme_options' );
			if ($options['color5_name']) { 
				echo $options['color5_name'];
			} else { 
				echo "Farbschema 5";
			}
		} elseif ($farbe == "color6") {
			$options = get_option( 'og_theme_options' );
			if ($options['color6_name']) { 
				echo $options['color6_name'];
			} else { 
				echo "Farbschema 6";
			}
		} elseif ($farbe == "color7") {
			$options = get_option( 'og_theme_options' );
			if ($options['color7_name']) { 
				echo $options['color7_name'];
			} else { 
				echo "Farbschema 7";
			}
		} elseif ($farbe == "color8") {
			$options = get_option( 'og_theme_options' );
			if ($options['color8_name']) { 
				echo $options['color8_name'];
			} else { 
				echo "Farbschema 8";
			}
		} elseif ($farbe == "color9") {
			$options = get_option( 'og_theme_options' );
			if ($options['color9_name']) { 
				echo $options['color9_name'];
			} else { 
				echo "Farbschema 9";
			}
		} elseif ($farbe == "color10") {
			$options = get_option( 'og_theme_options' );
			if ($options['color10_name']) { 
				echo $options['color10_name'];
			} else { 
				echo "Farbschema 10";
			}
		} elseif ($farbe == "standard") {
			echo "Standard";
		}
    }
}


// Theme-Optionen aktivieren

require_once ( get_stylesheet_directory() . '/theme-options.php' );


//Eigener Hintergrund

$args = array(
	'default-color' => 'fff',
);

add_theme_support( 'custom-background', $args );


//Eigenes Logo

$defaults = array(
	'default-image'          => get_template_directory_uri() . '/images/logo.png',
	'random-default'         => false,
	'width'                  => 220,
	'height'                 => 80,
	'flex-height'            => true,
	'flex-width'             => true,
	'header-text'            => false,
	'uploads'                => true,
);

add_theme_support( 'custom-header', $defaults );


// Unterstützung für Post-Formate

add_theme_support( 'post-formats', array( 
	'aside', 
	'gallery', 
	'link', 
	'image',
	'quote', 
	'status', 
	'video',
	'audio', 
	'chat' 
	)
);

	
// Post Thumbnails aktivieren

$options = get_option( 'og_theme_options' );

if ($options['post_thumb'] == 1) {

	if (function_exists('add_theme_support')) {
	add_theme_support('post-thumbnails', array('post'));

		set_post_thumbnail_size(50, 50, true);
		add_image_size( 'big-thumbnail', 250, 250 ); 
		add_image_size( 'medium-thumbnail', 100, 100 ); 
		add_image_size( 'small-thumbnail', 25, 25 ); 
		add_image_size( 'xsmall-thumbnail', 20, 20 ); 
	}

}


//Post-Thumbnails in der Artikelansicht im Backend anzeigen

if ($options['post_thumb'] == 1) {

	if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {

	add_theme_support('post-thumbnails', array( 'post', 'page' ) );

	function fb_AddThumbColumn($cols) {
       		$cols['thumbnail'] = ('Thumbnail');
	        return $cols;
	}

	function fb_AddThumbValue($column_name, $post_id) {

	            $width = (int) 35;
        	    $height = (int) 35;

	            if ( 'thumbnail' == $column_name ) {
        	        // thumbnail of WP 2.9
                	$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
	                // image from gallery
        	        $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
                	if ($thumbnail_id)
	                    $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
        	        elseif ($attachments) {
                	    foreach ( $attachments as $attachment_id => $attachment ) {
                        	$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
	                    }
        	        }
                	    if ( isset($thumb) && $thumb ) {
                        	echo $thumb;
	                    } else {
        	                echo ('None');
                	    }
	            }
   	}

	    add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
	    add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
	}

}

// Sidebars registrieren

if ( function_exists('register_sidebar') )
register_sidebar(array(
	'name' => 'Sidebar',
	'id' => 'right_sidebar',
	)
);


// Feed Links

if (function_exists('add_theme_support')) {
add_theme_support('automatic-feed-links');
}


// Maximale Breite des Inhalts festlegen

if ( ! isset( $content_width ) ) $content_width = 900;


// Anpassungen für das Kommentar-Formular

function my_fields($fields) {
	$fields['author'] = '<p class="comment-form-author">' . '<label for="author">Name <small>(erforderlich)</small></label> ' . ( $req ? '<span class="required">(erforderlich)</span>' : '' ) .
                    '<br/><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>';
	$fields['email'] = '<p class="comment-form-email"><label for="email">Mail-Adresse <small>(erforderlich)</small></label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
                    '<br/><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>';
	$fields['url'] = '<p class="comment-form-url"><label for="url">Webseite <small>(optional)</small></label>' .
                    '<br/><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>';
return $fields;
}
add_filter('comment_form_default_fields','my_fields');



// Anzahl der Wörter für die Kurzfassung der Artikel (the_excerpt)

function custom_excerpt_length( $length ) {

$options = get_option( 'og_theme_options' );

	if ($options['excerpt_zeichen']) { 
		return $options['excerpt_zeichen'];
	} else { 
		return 55;
	}
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
 

// Weiterlesen-Link bei Kurzfassung der Artikel (the_excerpt)

$options = get_option( 'og_theme_options' );

if ($options['excerpt_moretag'] == 1) {
	function new_excerpt_more($more) {
		global $post;
		return ' <div><a class="more-link" href="'. get_permalink($post->ID) . '">Weiterlesen &rarr;</a></div>';
}
add_filter('excerpt_more', 'new_excerpt_more');
}


// Shortcodes für Mehrspalten-Layout

function zweispalten_shortcode( $atts, $content = null ) {
	return '<div class="zweispalten">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'zweispalten', 'zweispalten_shortcode' );

function dreispalten_shortcode( $atts, $content = null ) {
	return '<div class="dreispalten">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'dreispalten', 'dreispalten_shortcode' );


// Shortcode für Infoboxen

function infobox_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
      'color' => '', 
	   ), $atts ) );
      return '<div class="infobox ' . $color . '">' . do_shortcode($content) . '</div>';

}
add_shortcode('infobox', 'infobox_shortcode');


// Shortcode für Buttons

function button_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
	'color' => '', 
	'size' => '', 
	'link' => '',
	'ausrichtung' => '',
	), $atts ) );
	return '<a href="' . $link . '" class="button ' . $size . ' ' . $ausrichtung . ' ' . $color . '">' . $content . '</a>';
}
add_shortcode('button', 'button_shortcode');


// Shortcodes in der Kurzfassung entfernen

function custom_excerpt($text = '') {
	$raw_excerpt = $text;
	if ( '' == $text ) {
		$text = get_the_content('');
                // $text = strip_shortcodes( $text );
		$text = do_shortcode( $text );
		$text = apply_filters('the_content', $text);
		$text = str_replace(']]>', ']]>', $text);
		$excerpt_length = apply_filters('excerpt_length', 55);
		$excerpt_more = apply_filters('excerpt_more', ' ' . '[...]');
		$text = wp_trim_words( $text, $excerpt_length, $excerpt_more );
	}
	return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
}
remove_filter( 'get_the_excerpt', 'wp_trim_excerpt'  );
add_filter( 'get_the_excerpt', 'custom_excerpt'  );


?>